<div class="jumbotron text-center">
	<h1 class="display-5">
		Image Upload with Reactive Forms
	</h1>
</div>

<div class="container">
	<div class="row custom-wrapper">
		<div class="col-md-12">

			<!-- Form starts -->
			<form [formGroup]="registrationForm" (ngSubmit)="onSubmit()">

				<div class="group-gap">

					<!-- Upload image -->
					<div class="avatar-upload">
						<div class="avatar-edit">
							<input type='file' id="imageUpload" accept=".png, .jpg, .jpeg" #fileInput (change)="uploadFile($event)" />
            </div>
            <div class="avatar-preview">
              <div id="imagePreview" [style.backgroundImage]="'url('+ imageUrl +')'">
              </div>
            </div>
			 <div class="detail"> 
               <p><b>New Task</b></p>
               <p class="price">&#36; 200</p>
            </div>
          </div>
        </div>

          <!-- Submit Button -->
          <button type="submit" class="btn btn-danger btn-lg btn-block" (click)="fileInput.click()">Upload Image</button>

      </form><!-- Form ends -->

    </div>
  </div>
</div>